
QGIS Application - Bug report #9964

Cannot Save Edits to File Geodatabase Replica

2014-03-31 01:59 PM - Matthew Charton

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 18461

Description

When trying to edit a File Geodatabase Replica in QGIS 2.0.1, everything works as expected until the user saves their edits.  When

pressing save, all edits revert back to their original state with no errors.

FGDB Replica created in ArcGIS Desktop 10.2 from a SQL SDE Geodatabase.

History

#1 - 2014-03-31 02:07 PM - Matthew Charton

Just confirmed that this occurs in 2.2 as well.

As another note, if I copy the Feature Class into a new FGDB (thus breaking it out of the replica), I can edit it without any problems.

#2 - 2014-05-31 07:17 AM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

#3 - 2014-06-21 02:47 AM - Jürgen Fischer

- Category set to Data Provider/OGR

#4 - 2014-10-30 10:01 AM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2014-10-30 10:12 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Priority changed from High to Normal

#6 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#7 - 2018-03-01 12:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!
#8 - 2018-08-16 12:06 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

- Description updated

Closing for lack of feedback.
